Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Interface UserPersonalizationHome

public interface UserPersonalizationHome
extends BaseHome

The user personalization EJB home.

Method Summary
`UserPersonalization` | `create(UserPersonalizationPK pk)` Create.
`java.util.Enumeration` | `findByGroup(java.lang.String aGroup)` Find by group.
`java.util.Enumeration` | `findByPortal(java.lang.String aPortalName)` Find by portal.
`java.util.Enumeration` | `findByPortalAndGroup(java.lang.String aPortalName, java.lang.String aGroup)` Find by portal and group.
`java.util.Enumeration` | `findByPortalAndPortlet(java.lang.String aPortalName, java.lang.String aPortletName)` Find by portal and portlet.
`java.util.Enumeration` | `findByPortalAndUser(java.lang.String aPortalName, java.lang.String aUser)` Find by portal and user.
`java.util.Enumeration` | `findByPortalCategoryGroupAndUser(java.lang.String aPortalName, java.lang.String aCategory, java.lang.String aGroup, java.lang.String aUser)` Find by portal, category, group, and user.
`java.util.Enumeration` | `findByPortalGroupAndUser(java.lang.String aPortalName, java.lang.String aGroup, java.lang.String aUser)` Find by portal, group, and user.
`java.util.Enumeration` | `findByPortlet(java.lang.String aPortletName)` Find by portlet.
`UserPersonalization` | `findByPrimaryKey(UserPersonalizationPK pk)` Find by primary key.
`java.util.Enumeration` | `findByUser(java.lang.String aUser)` Find by user.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, remove, remove`

Method Detail

### create

    public UserPersonalization create(UserPersonalizationPK pk)
                               throws javax.ejb.CreateException,
                                      java.rmi.RemoteException

  Create.
  Parameters:
    `pk` - the primary key.
  Returns:
    `UserPersonalization` the created object.
  Throws:
    `CreateException` - creation error.
    `RemoteException` - container error.

### findByPrimaryKey

    public UserPersonalization findByPrimaryKey(UserPersonalizationPK pk)
                                         throws javax.ejb.FinderException,
                                                java.rmi.RemoteException

  Find by primary key.
  Parameters:
    `pk` - the primary key.
  Returns:
    `UserPersonalization` the object matching the primary key.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

### findByPortalCategoryGroupAndUser

    public java.util.Enumeration findByPortalCategoryGroupAndUser(java.lang.String aPortalName,
                                                                  java.lang.String aCategory,
                                                                  java.lang.String aGroup,
                                                                  java.lang.String aUser)
                                                           throws javax.ejb.FinderException,
                                                                  java.rmi.RemoteException

  Find by portal, category, group, and user.
  Parameters:
    `aPortalName` - the portal.
    `aCategory` - the category.
    `aGroup` - the group.
    `aUser` - the user.
  Returns:
    `Enumeration` all objects that match the arguments.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

### findByPortalGroupAndUser

    public java.util.Enumeration findByPortalGroupAndUser(java.lang.String aPortalName,
                                                          java.lang.String aGroup,
                                                          java.lang.String aUser)
                                                   throws javax.ejb.FinderException,
                                                          java.rmi.RemoteException

  Find by portal, group, and user.
  Parameters:
    `aPortalName` - the portal.
    `aGroup` - the group.
    `aUser` - the user.
  Returns:
    `Enumeration` all objects that match the arguments.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

### findByPortal

    public java.util.Enumeration findByPortal(java.lang.String aPortalName)
                                       throws javax.ejb.FinderException,
                                              java.rmi.RemoteException

  Find by portal.
  Parameters:
    `aPortalName` - the portal.
  Returns:
    `Enumeration` all objects that match the portal.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

### findByPortalAndGroup

    public java.util.Enumeration findByPortalAndGroup(java.lang.String aPortalName,
                                                      java.lang.String aGroup)
                                               throws javax.ejb.FinderException,
                                                      java.rmi.RemoteException

  Find by portal and group.
  Parameters:
    `aPortalName` - the portal.
    `aGroup` - the group.
  Returns:
    `Enumeration` all objects that match the portal and group.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

### findByPortalAndUser

    public java.util.Enumeration findByPortalAndUser(java.lang.String aPortalName,
                                                     java.lang.String aUser)
                                              throws javax.ejb.FinderException,
                                                     java.rmi.RemoteException

  Find by portal and user.
  Parameters:
    `aPortalName` - the portal.
    `aUser` - the user.
  Returns:
    `Enumeration` all objects that match the portal and user.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

### findByPortalAndPortlet

    public java.util.Enumeration findByPortalAndPortlet(java.lang.String aPortalName,
                                                        java.lang.String aPortletName)
                                                 throws javax.ejb.FinderException,
                                                        java.rmi.RemoteException

  Find by portal and portlet.
  Parameters:
    `aPortalName` - the portal.
    `aPortletName` - the portlet.
  Returns:
    `Enumeration` all objects that match the portal and portlet.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

### findByPortlet

    public java.util.Enumeration findByPortlet(java.lang.String aPortletName)
                                        throws javax.ejb.FinderException,
                                               java.rmi.RemoteException

  Find by portlet.
  Parameters:
    `aPortletName` - the portlet.
  Returns:
    `Enumeration` all objects that match the portlet.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

### findByGroup

    public java.util.Enumeration findByGroup(java.lang.String aGroup)
                                      throws javax.ejb.FinderException,
                                             java.rmi.RemoteException

  Find by group.
  Parameters:
    `aGroup` - the group.
  Returns:
    `Enumeration` all objects that match the group.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

### findByUser

    public java.util.Enumeration findByUser(java.lang.String aUser)
                                     throws javax.ejb.FinderException,
                                            java.rmi.RemoteException

  Find by user.
  Parameters:
    `aUser` - the user.
  Returns:
    `Enumeration` all objects that match the user.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved